Loading...
Searching...
No Matches
Ogre::LodData::Line Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions

unsigned int | getVertexID (const Vertex *v) const
bool | hasVertex (const Vertex *v) const
| Vertex ID in the buffer associated with the submeshID.
bool | isMalformed ()

## Public Attributes

bool | isRemoved
unsigned short | submeshID
Vertex * | vertex [2]
unsigned int | vertexID [2]
| ID of the submesh. Usable with mMesh.getSubMesh() function.

## Member Function Documentation

## hasVertex()

bool Ogre::LodData::Line::hasVertex | ( | const Vertex * | v | ) | const

inline

Vertex ID in the buffer associated with the submeshID.

References vertex.

## getVertexID()

unsigned int Ogre::LodData::Line::getVertexID | ( | const Vertex * | v | ) | const

## isMalformed()

bool Ogre::LodData::Line::isMalformed | ( |  | ) |

## Member Data Documentation

## vertex

Vertex* Ogre::LodData::Line::vertex[2]

Referenced by hasVertex().

## isRemoved

bool Ogre::LodData::Line::isRemoved

## submeshID

unsigned short Ogre::LodData::Line::submeshID

## vertexID

unsigned int Ogre::LodData::Line::vertexID[2]

ID of the submesh. Usable with mMesh.getSubMesh() function.

The documentation for this struct was generated from the following file:

- OgreLodData.h